Subject: bug#25666: Screen rendering bug

From: Fredrik Ljungdahl <[email-masked]>
Date: Fri, 10 Feb 2017 10:43:10 +0100

I just tried on another computer as well which has emacs 24.5.1 and using
gnome-terminal. It reproduces in the terminal, but not under Xemacs.

/FIQ

2017-02-10 10:12 GMT+01:00 Fredrik Ljungdahl <[email-masked]>:

> Hi.
> Here is a screenshot: http://home.fiq.se/emacsfail.png
> This is in my personal Emacs environment, but it shows the same way in the
> default one. Note the right screen (And no, that isn't the end of the file)
>
> /FIQ
>
> 2017-02-10 9:29 GMT+01:00 Eli Zaretskii <[email-masked]>:
>
>> > From: Fredrik Ljungdahl <[email-masked]>
>> > Date: Thu, 9 Feb 2017 22:37:47 +0100
>> > Cc: [email-masked]
>> >
>> > I attempted to reproduce this in a different terminal, in case that was
>> the issue (I originally used Konsole), in
>> > this case xterm. I was not able to reproduce under the standard
>> resolution of 80x24. However, by increasing
>> > the resolution by fullscreening it (resulting in a terminal size of
>> 212x78), I was able to once again reproducue
>> > the bug. Further testing shows that, with that particular file, I am
>> able to reproduce the issue in 116x24 but not
>> > 80x24. I am guessing that text wrapping is involved in some way, but I
>> can't consistently figure out where the
>> > bug reproduces and when it doesn't (aside from it always or never
>> reproducing under the same terminal
>> > size).
>>
>> Please show a screenshot of the messup you see.
>>
>> Thanks.
>>
>
>